<?php
$siteUrl = trailingslashit(site_url());
?>
<div id='cdn' style='clear:both;display:none;padding:10px;background-color:#ddf;font-size:1.1em;border:solid 1px #aac' class='info-div'>
  <h3>What is a CDN and how do I use it?</h3>
  <p><strong>Content Delivery Network</strong> (CDN) is a collection of geographically distributed servers that mirror and serve you static contents (images, JavaScrip/CSS files, movies etc.) to your readers much faster than your own blog server can. It can speed up your blog tremendously.</p>
  <p>The most common (and easiest) type of CDN is the origin-pull kind, where you specify the URL from where it can pull contents. Amazon CloudFront is one such CDN that most bloggers will find useful. While setting up the CDN, you will specify that the contents are to be pulled from your blog, <code><?php echo $siteUrl ?></code>.</p>
  <p>Once a CDN server is set up on Amazon CloudFront (or anywhere else), you will get a URL that you can place instead of <code><?php echo $siteUrl ?></code> for each of the static resources that you want to serve from your CDN.</p>
  <p>To make the CDN URL look nicer, you may want to use your cPanel DNS Zone Editor to define a CNAME. For example, you can have a name like <code>http://cdn.yoursite.com</code> as your CDN URL.</p>
  <p>Since most browsers limit the number of concurrent connection to a server, you may want to define multiple CDNs using the CNAME trick, all pointing to the same URL you got from CloudFront (or your provider). This technique is called domain sharding, and is fully supported in the Pro version of this plugin.</p>
  <p>Of course, you need to make WordPress generate HTML with your CDN addresses instead of <code><?php echo $siteUrl ?></code> for static resources. While it can be done using certain filters (<code>pre_option_upload_url_path</code>), it is far more convenient to use this plugin.</p>
  <p><input type='button' value='Hide this Box' class='button-secondary cdn'/></p>
</div>

<div id='what' style='clear:both;display:none;padding:10px;background-color:#ddf;font-size:1.1em;border:solid 1px #aac' class='info-div'>
  <h3>What does Easy PageSpeed do?</h3>
  <p>Here is what <strong>Easy PageSpeed</strong> does when a reader visits one of your blog posts or pages:</p>
  <ol>
    <li>It looks at the HTML being prepared for the reader, and removes all the query strings (things that look like <code>?ver=4.4.1</code>) from any local links of static resources (files with extensions <code>jpg</code>, <code>jpeg</code>, <code>gif</code>, <code>png</code>, <code>js</code> and <code>css</code>).</li>
    <li>It rewrites all the local links in the page (again, only for files with extensions <code>jpg</code>, <code>jpeg</code>, <code>gif</code>, <code>png</code>, <code>js</code> and <code>css</code>) so that they point to the CDN server that you have specified.</li>
  </ol>
  <p><input type='button' value='Hide this Box' class='button-secondary what'/></p>
</div>

<div id='why' style='clear:both;display:none;padding:10px;background-color:#ddf;font-size:1.1em;border:solid 1px #aac' class='info-div'>
  <h3>Why use this plugin?</h3>
  <p>Many caching plugins can handle CDNs and query strings. Why use this plugin? Because many of the popular caching plugins are so heavy and feature-rich that they actually slow down your blog, especially on the admin side. Most (90%) of the performance improvements that a caching plugin buys you may be had with this plugin (and a decent PHP accelerator at the server level).</p>
  <p>If you like the way this plugin works, you might want to get the <a href="http://buy.thulasidas.com/easy-pagespeed" title="Buy the Pro version of Easy PageSpeed for $6.95. Instant download link." class="popup">Pro version</a>, so that you can benefit from CDN sharding and finer control of what files are served from where.</p>
  <p><input type='button' value='Hide this Box' class='button-secondary why'/></p>
</div>

<div id='pro-version' style='clear:both;display:none;padding:10px;background-color:#ddf;font-size:1.1em' class='info-div'>
  <h3>Why get the Pro version?</h3>
  <p>The <a href="http://buy.thulasidas.com/easy-pagespeed" title="Buy the Pro version of Easy PageSpeed for $6.95. Instant download link." class="popup">Pro version</a> of <strong>Easy PageSpeed</strong> gives you the following additional features:</p>
  <ol>
    <li>At times, webmasters use multiple CDN servers so that the static resources are loaded in the reader's browser in parallel, a technique called sharding. If you use multiple CDNs all pulling from the same origin location (<code><?php echo $siteUrl ?></code>), you can enter their URLs as a comma separated list in this field. <strong>Easy PageSpeed Pro</strong> will distribute the load among them.</li>
    <li>If you would like to specify different CDN servers based on the file type of the static resources, <strong>Easy PageSpeed Pro</strong> gives you the option of specifying up to three CDN servers and the file types corresponding to them. This way, you can serve, for example, images from <code>http://img.example.com</code> and style sheets from <code>http://css.example.com</code> and so on</li>
    <li>In fact, in each of the text boxes for the CDN servers, you can enter multiple URLs separated by commas, and define up to three groups of CDNs and their corresponding file types. Thus, you can set it up to serve images from <code>http://img1.example.com</code> and <code>http://img2.example.com</code> and so on. Each group can be individually turned on or off.</li>
    <li><strong>Easy PageSpeed Pro</strong> also lets you specify how you want to use multiple CDN servers - cyclically or at random. In cyclic or sequential mode, the first static resource will be served form the first CDN, the second from the second one and so on until we run out of CDN servers, at which point we loop back to the first server. In randon mode, a server is chosen at random for each static file.</li>
  </ol>
  <p><input type='button' value='Hide this Box' class='button-secondary pro-version'/></p>
</div>
